creates user_profile

POST /api/v1/user/profile

Operation id: post__api_v1_user_profile

Description

Takes a user_profile JSON and store in DB. Return saved JSON.

Tags: UserProfile

Parameters

Query parameters

NameTypeRequiredDescription
tenant_idstringYestenant ID

Security

  • PhoenixToken-Authorization (apiKey)
    • PhoenixToken-Authorization

Responses

200 — OK

Content type: application/json

Request body

UserProfile JSON

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
idintegerNo
namestringNo
valuearrayNo
{
  "type": "object",
  "properties": {
    "id": {
      "type": "integer"
    },
    "name": {
      "type": "string"
    },
    "value": {
      "type": "array",
      "items": {
        "type": "integer"
      }
    }
  }
}

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
idintegerNo
namestringNo
valuearrayNo
{
  "type": "object",
  "properties": {
    "id": {
      "type": "integer"
    },
    "name": {
      "type": "string"
    },
    "value": {
      "type": "array",
      "items": {
        "type": "integer"
      }
    }
  }
}